Other recipients are not listed in To field even if Setting.bcc_recipients is false

2019-02-11 15:54 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 4.0.0

Description

In Redmine prior to 4.0, you can see to see all recipients of the notification email in the To field if "Blind carbon copy recipients (bcc)"

setting (Setting.bcc_recipients) is false. With this feature, you can know who the notification was sent by the update.

However, this feature is broken in Redmine 4.0. After upgrading to 4.0, only your email address is in the To field and other recipients

are not listed there even if Setting.bcc_recipients is false.

Suppose the following issue:

Assignee is foo@example.com

Watcher is bar@example.com

When someone updates the issue, foo@example.com and bar@example.com should receive a notification. The To field in the

header should be like the following if Setting.bcc_recipients is false:

To: foo@example.com, bar@example.com

 However, in Redmine 4.0, actual To field are like the following. Only the recipient of the message is listed:

(The email that foo@example.com received)

To: foo@example.com

 (The email that bar@example.com received)

To: bar@example.com

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Related to Redmine - Feature #30820: Drop setting "Blind carbon copy recipien... Closed

Has duplicate Redmine - Defect #30929: No longer all receivers are shown in "... Closed

Has duplicate Redmine - Feature #33479: Make other destinations visible in th... Closed

Blocks Redmine - Feature #8516: Email notifications without the recipient tre... Closed 2011-06-03

History

#1 - 2019-02-11 15:56 - Go MAEDA

- Blocks Feature #8516: Email notifications without the recipient treated as attempted fraud by mail clients added

#2 - 2019-02-11 16:05 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#3 - 2019-02-12 01:38 - Marius BĂLTEANU

Go MAEDA wrote:

In Redmine prior to 4.0, you can see to see all recipients of the notification email in the To field if "Blind carbon copy recipients (bcc)" setting

(Setting.bcc_recipients) is false. With this feature, you can know who the notification was sent by the update.
However, this feature is broken in Redmine 4.0. After upgrading to 4.0, only your email address is in the To field and other recipients are not

listed there even if Setting.bcc_recipients is false.

 I'm not sure that I understand correctly this defect, but the whole idea of #26791 was to send individual notifications which means that each user that

receives the notification, will be alone in that email. With the current implementation (which is very desired), it is almost impossible to achieve the

behaviour prior to Redmine 4.0.

In my opinion, what we can do here is to drop the setting "Blind carbon copy recipients (bcc)" that doesn't make any sense anymore. I don't see why a

user prefers to receive an email as bcc and not to.

#4 - 2019-02-13 22:12 - Holger Just

Marius BALTEANU wrote:

In my opinion, what we can do here is to drop the setting "Blind carbon copy recipients (bcc)" that doesn't make any sense anymore. I don't see

why a user prefers to receive an email as bcc and not to.

 +1

With the new individual emails, this setting is not useful anymore. See also #26791#BCC-recipients :)

It is not possible anymore to see from the email recipients who has received the mail. This was only partially possible previously anyway, since we

have already send multiple separate emails depending on issue custom field visibility.

If there is a significant request for retaining the information who got the notification (which in turn would also carefully checked for information leaks),

the list of user could be added into the mail body now. I personally don't see this as a necessary feature though (and nobody else I'm aware of

implements something something like that for their notifications).

#5 - 2019-02-14 22:27 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Go MAEDA

#6 - 2019-02-17 21:00 - Marius BĂLTEANU

- Related to Feature #30820: Drop setting "Blind carbon copy recipients (bcc)" added

#7 - 2019-02-17 21:03 - Marius BĂLTEANU

Holger Just wrote:

With the new individual emails, this setting is not useful anymore. See also #26791#BCC-recipients :)

 Thanks for pointing to your comment, I've attached a patch to (#30820).

#8 - 2019-02-17 21:04 - Marius BĂLTEANU

Go Maeda, please let us know what it the purpose of this defect.

#9 - 2019-02-20 08:57 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix

The option was useful because users who got notifications can see who receives the notification (related to #6813).

Although we lost the feature in 4.0, I think we should accept it as a trade-off for #26791.

#10 - 2019-02-20 09:00 - Marius BĂLTEANU

Go MAEDA wrote:

The option was useful because users who got notifications can see who receives the notification (related to #6813).

 Partially true, please see Holger note. If we really need this feature, it should be implemented in Redmine.

Although we lost the feature in 4.0, I think we should accept it as a trade-off for #26791.

 Thanks!
#11 - 2019-02-27 10:05 - Holger Just

- Has duplicate Defect #30929: No longer all receivers are shown in "to" field after upgrade from 3.4.7 to 4.0.0 added

#12 - 2020-05-28 15:44 - Holger Just

- Has duplicate Feature #33479: Make other destinations visible in the Redmine notification email added
